Next: isprint, Previous: isdigit, Up: Ctype

### 3.6 `islower`—lowercase character predicate

Synopsis

         #include <ctype.h>
         int islower(int c);

Description
`islower` is a macro which classifies ASCII integer values by table lookup. It is a predicate returning non-zero for minuscules (lowercase alphabetic characters), and 0 for other characters. It is defined only when `isascii`(c) is true or c is EOF.

You can use a compiled subroutine instead of the macro definition by undefining the macro using ``#undef islower`'.

Returns
`islower` returns non-zero if c is a lowercase letter (`a`–`z`).

Portability
`islower` is ANSI C.

No supporting OS subroutines are required.